Page MenuHomePhabricator

Deploy Growth features on Kurdish Wikipedia
Closed, ResolvedPublicAug 24 2021

Description

NOTE: The configuration for the Growth features will be on wiki at Special:EditGrowthConfig.

General translations

  • Translate the interface (on translatewiki.net, needs a specific account)
  • Translate aliases:
    • Special:WelcomeSurvey ->
    • Special:Homepage ->
    • Special:Impact ->
    • Special:ClaimMentee ->

Help panel

TaskLabelTranslation of the label
Manual of styleHow to write a good article
Help:EditingHow to edit a page
Inserting images (using the visual editor)How to insert images
Inserting references (using the visual editor)How to insert references
Article WizardHow to create an article

Mentorship module (optional)

  1. Encourage community members to become mentors (can be done later). If done:
  2. The signature list has been formatted like it should be.
  3. Add the signature list to Q14339834.

Suggested edits

Templates and help pages are listed on wiki, at Special:EditGrowthConfig.

Anything else?

Do you have any particular information or configuration that we should be aware of (like you have a special in-person mentoring program, or your wiki uses FlaggedRevisions...):

Related Objects

StatusSubtypeAssignedTask
ResolvedGoalTrizek-WMF
ResolvedAug 24 2021Urbanecm_WMF

Event Timeline

Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptAug 2 2021, 2:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Urbanecm_WMF triaged this task as Medium priority.
Urbanecm_WMF edited projects, added Growth-Team (Current Sprint); removed Growth-Team.

Change 709521 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] Enable Growth features on a couple of wikis in dark mode

https://gerrit.wikimedia.org/r/709521

Change 709521 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable Growth features on a couple of wikis in dark mode

https://gerrit.wikimedia.org/r/709521

Mentioned in SAL (#wikimedia-operations) [2021-08-02T18:59:30Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: bebf4a9819f80e19cbb94f115f47c1ff4d05b7d2: Enable Growth features on a couple of wikis in dark mode (T287868, T287874, T287873; 1/2) (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2021-08-02T19:00:42Z] <urbanecm@deploy1002> Synchronized dblists/growthexperiments.dblist: bebf4a9819f80e19cbb94f115f47c1ff4d05b7d2: Enable Growth features on a couple of wikis in dark mode (T287868, T287874, T287873; 2/2) (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2021-08-02T19:01:22Z] <urbanecm> Run extensions/GrowthExperiments/maintenance/initWikiConfig.php on a couple of wikis to init on-wiki config for Growth features (T287868, T287874, T287873)

@Trizek-WMF Growth features were just deployed in dark mode at this wiki. Please have a look, and let me know when it's time to promote the wiki out of dark mode.

Note I did not yet add special page aliases and copy help panel links descriptions -- I will do that ASAP.

Note I did not yet add special page aliases and copy help panel links descriptions -- I will do that ASAP.

Good luck with that, since I haven't added them. :)
I can't find proper translations, so we will cover it at the same time as T287867: Deploy Growth features on Central Kurdish Wikipedia.

Note I did not yet add special page aliases and copy help panel links descriptions -- I will do that ASAP.

Good luck with that, since I haven't added them. :)
I can't find proper translations, so we will cover it at the same time as T287867: Deploy Growth features on Central Kurdish Wikipedia.

Meh, disadvantage of bulk comments. Dark mode can stay enabled IMO, as the translations can be altered at any point on-wiki.

Dark mode can stay enabled IMO, as the translations can be altered at any point on-wiki.

I agree.

Please note that this wiki requires the activation of the Visual editor (source). I will check with the community about it.

Please note that this wiki requires the activation of the Visual editor (source). I will check with the community about it.

As far as I can see, VE works in https://ku.wikipedia.org automatically -- that page you quote is likely out of date? T270841 is where it got enabled apparently.

As far as I can see, VE works in https://ku.wikipedia.org automatically -- that page you quote is likely out of date? T270841 is where it got enabled apparently.

Good news then! :)

Change 714366 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] Growth features: Promote 9 wikis out of dark mode

https://gerrit.wikimedia.org/r/714366

Change 714366 merged by jenkins-bot:

[operations/mediawiki-config@master] Growth features: Promote 9 wikis out of dark mode

https://gerrit.wikimedia.org/r/714366

Mentioned in SAL (#wikimedia-operations) [2021-08-24T20:55:00Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: a6fd96b15e6e3c068c2faac60208b9722d32af0f: Growth features: Promote 9 wikis out of dark mode (T287871; T287874; T287872; T287880; T287868; T287873; T287879; T287875; T287876) (duration: 01m 25s)

@Trizek-WMF Hello, I just promoted Growth features out of dark mode on this wiki, as today is the due date set here. Let me know if you need any changes!

Etonkovidova added a subscriber: Etonkovidova.

Checked kuwiki - Special:Homepage and Help panel work as expected.

Help module links refer to https://www.mediawiki.org/wiki/Help:VisualEditor/User_guide/ which needs to be translated:

Screen Shot 2021-09-01 at 2.07.50 PM.png (792×674 px, 83 KB)